Download it now!
Bug 136238 - Deleting a very very large cross page table (26 pages) very very slow
Summary: Deleting a very very large cross page table (26 pages) very very slow
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable, perf, regression
Depends on:
Blocks:
 
Reported: 2020-08-28 18:21 UTC by Telesto
Modified: 2020-10-02 13:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-28 18:21:31 UTC
Description:
Deleting a very very large cross page table (26 pages) very very slow

Steps to Reproduce:
1. Open attachment 107266 [details] (bug 84635)
2. Place cursor in table cell
3. Delete table -> take break & a cup of coffee, take a walk

Actual Results:
To lazy to wait for finishing.. surely 180 seconds

Expected Results:
Lets say 15 seconds -> but 3.3.0 does it instantly


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
7.1

6.0

4.4.7.2

4.0

3.5

not in
3.3.0
Comment 1 Telesto 2020-08-28 18:25:45 UTC
@Noel
The perf magician. You did the fix for same file on file opening; bug 84635. And this worked before (not bibisectable) so you might be interested. 

FWIW: bug is still unconfirmed
Comment 2 Kevin Suo 2020-09-05 05:13:31 UTC
I can reproduce in version 6.4.6 release on Fedora 32 x64.
Comment 3 Commit Notification 2020-09-10 14:03:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/da5c289a9cae5d914937f235694fd5b0cb92547f

tdf#136238 speed up deleting large cross page table

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-09-10 18:52:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/505784b6840295ce1ffd33704ce91b4018a16c20

tdf#136238 speed up deleting large cross page table

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-09-11 08:46:08 UTC
it takes 6 seconds in my slow computer. Really Nice!

Version: 7.1.0.0.alpha0+
Build ID: 3a22f5a589e822e7ca8bbb00e38a3aff93ed7ba5
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!

@Telesto, could you please revisit other similar tickets looking for dupes ?
Comment 6 Commit Notification 2020-10-01 18:55:49 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0b3ff97d7d5a1e8471e494f4141165364203c192

tdf#136728: Revert "tdf#136238 speed up deleting large cross page table"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-10-02 10:14:04 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3d6c7523aea5c2820f26c33688b2c9a767affc6b

tdf#136728: Revert "tdf#136238 speed up deleting large cross page table"

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Jean-Baptiste Faure 2020-10-02 13:35:07 UTC
(In reply to Commit Notification from comment #7)
> Xisco Fauli committed a patch related to this issue.
> It has been pushed to "libreoffice-7-0":
> 
> https://git.libreoffice.org/core/commit/
> 3d6c7523aea5c2820f26c33688b2c9a767affc6b
> 
> tdf#136728: Revert "tdf#136238 speed up deleting large cross page table"
> 

What is the reason of this revert ?

Best regards. JBF
Comment 9 Xisco Faulí 2020-10-02 13:36:04 UTC
(In reply to Jean-Baptiste Faure from comment #8)
> (In reply to Commit Notification from comment #7)
> > Xisco Fauli committed a patch related to this issue.
> > It has been pushed to "libreoffice-7-0":
> > 
> > https://git.libreoffice.org/core/commit/
> > 3d6c7523aea5c2820f26c33688b2c9a767affc6b
> > 
> > tdf#136728: Revert "tdf#136238 speed up deleting large cross page table"
> > 
> 
> What is the reason of this revert ?
> 
> Best regards. JBF

tdf#136728